<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMembersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: members
         */
        Schema::create('members', function ($table) {
            $table->increments('id');
            $table->string('name', 150)->nullable();
            $table->string('position', 100)->nullable();
            $table->string('facebook_url', 255)->nullable();
            $table->string('linkedin_url', 255)->nullable();
            $table->string('twitter_url', 255)->nullable();
            $table->enum('profile_type', ['team'=>'Team', 'advisor'=>'advisor'])->nullable();
            $table->text('image')->nullable();
            $table->enum('status', ['active'=>'Active', 'inactive'=>'Inactive'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('members');
    }
}
