<?php

namespace Litecms\Member\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MemberTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Member\Models\Member $member)
    {
        return [
            'id'                => $member->getRouteKey(),
            'key'               => [
                'public'    => $member->getPublicKey(),
                'route'     => $member->getRouteKey(),
            ], 
            'name'              => $member->name,
            'position'          => $member->position,
            'facebook_url'      => $member->facebook_url,
            'linkedin_url'      => $member->linkedin_url,
            'twitter_url'       => $member->twitter_url,
            'profile_type'      => $member->profile_type,
            'image'             => $member->image,
            'status'            => $member->status,
            'url'               => [
                'public'    => trans_url('member/'.$member->getPublicKey()),
                'user'      => guard_url('member/member/'.$member->getRouteKey()),
            ], 
            'status'            => trans('app.'.$member->status),
            'created_at'        => format_date($member->created_at),
            'updated_at'        => format_date($member->updated_at),
        ];
    }
}