<?php

namespace Litecms\Member\Workflow;

use Litecms\Member\Models\Member;
use Litecms\Member\Notifications\MemberWorkflow as MemberNotifyer;
use Notification;

class MemberNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Member $member
     *
     * @return void
     */
    public function complete(Member $member)
    {
        return Notification::send($member->user, new MemberNotifyer($member, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Member $member
     *
     * @return void
     */
    public function verify(Member $member)
    {
        return Notification::send($member->user, new MemberNotifyer($member, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Member $member
     *
     * @return void
     */
    public function approve(Member $member)
    {
        return Notification::send($member->user, new MemberNotifyer($member, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Member $member
     *
     * @return void
     */
    public function publish(Member $member)
    {
        return Notification::send($member->user, new MemberNotifyer($member, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Member $member
     *
     * @return void
     */
    public function archive(Member $member)
    {
        return Notification::send($member->user, new MemberNotifyer($member, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Member $member
     *
     * @return void
     */
    public function unpublish(Member $member)
    {
        return Notification::send($member->user, new MemberNotifyer($member, 'unpublish'));;

    }
}
